<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="PROPERTY-FIELDS">
		<script src='/modules/Feedback/js/Properties.js?{$version}.{$build}' type='text/javascript'></script>
		<xsl:apply-templates select="TOOLBAR"/>
	</xsl:template>
	
	<xsl:template match="TOOLBAR-FIELD">
	<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
		<xsl:apply-templates/>
	</table>
	</xsl:template>

	<xsl:template match="INPUT[@MULTY-LINE='0']">
		<tr>
			<td class="title-block">
				<xsl:call-template name="LABEL" mode="label">
					<xsl:with-param name="id" select="@NAME"/>
					<xsl:with-param name="require">true</xsl:with-param>
					<xsl:with-param name="title"><xsl:value-of select="@TITLE"/></xsl:with-param>
					<xsl:with-param name="value" select="@VALUE"/>
				</xsl:call-template>
			</td>
			<td class="input-block">
				<xsl:call-template name="INPUT" mode="control">
					<xsl:with-param name="id" select="@NAME"/>
					<xsl:with-param name="name" select="@NAME"/>
					<xsl:with-param name="require">true</xsl:with-param>
					<xsl:with-param name="size">60</xsl:with-param>
					<xsl:with-param name="value" select="@VALUE"/>
				</xsl:call-template>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="INPUT[@MULTY-LINE!='0']">
		<tr>
			<td class="title-block">
				<xsl:call-template name="LABEL" mode="label">
					<xsl:with-param name="id" select="@NAME"/>
					<xsl:with-param name="require">true</xsl:with-param>
					<xsl:with-param name="title"><xsl:value-of select="@TITLE"/></xsl:with-param>
					<xsl:with-param name="value" select="@VALUE"/>
				</xsl:call-template>
			</td>
			<td class="input-block">
				<xsl:call-template name="TEXTAREA" mode="control">
					<xsl:with-param name="id" select="@NAME"/>
					<xsl:with-param name="name" select="@NAME"/>
					<xsl:with-param name="value" select="@VALUE"/>
				</xsl:call-template>
			</td>
		</tr>
	</xsl:template>
</xsl:stylesheet>